Complete Image Upload
curl --request POST \
--url https://softmax.com/api/observatory/v2/container_images/upload/complete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>"
}
'import requests
url = "https://softmax.com/api/observatory/v2/container_images/upload/complete"
payload = { "id": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: '<string>'})
};
fetch('https://softmax.com/api/observatory/v2/container_images/upload/complete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"version": 123,
"client_hash": "<string>",
"status": "<string>",
"image_uri": "<string>",
"image_digest": "<string>",
"public_image_uri": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Container images
Complete Image Upload
POST
/
v2
/
container_images
/
upload
/
complete
Complete Image Upload
Authorizations
Bearer token issued by Softmax
Body
application/json
Pattern:
^img_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$⌘I

